%define module	django
%define tarname	Django

Summary:	A high-level Python Web framework
Name:		python-%{module}16
Version:	1.6.11.6
%define subrel	1
Release:	%mkrel 1
Source0:	https://s3.amazonaws.com/downloads.reviewboard.org/releases/Django/1.6/Django-%{version}.tar.gz
# due rename of binary to django1.6-admin, we need to fix bash completion
Patch0:		python-django-1.6-bash-completion.patch
Patch1:		CVE-2019-3498.patch

License:	BSD
Group:		Development/Python
Url:		http://www.djangoproject.com
BuildArch:	noarch
BuildRequires:	python-setuptools
BuildRequires:  python-sphinx
BuildRequires:  python-devel
BuildRequires:  python-simplejson
Requires:       python-simplejson
Requires:       python-pkg-resources
# provide compatibility with python-django
Provides:       python-django = %{version}-%{release}
Obsoletes:      python-django < 1.6
Conflicts:      python-django >= 1.7


%description
Django is a high-level Python Web framework that encourages rapid development
and clean, pragmatic design.

Developed and used over the past two years by a fast-moving online-news
operation, Django was designed from scratch to handle two challenges: the
intensive deadlines of a newsroom and the stringent requirements of experienced
Web developers. It has convenient niceties for developing content-management
systems, but it's an excellent tool for building any Web site.

Django focuses on automating as much as possible and adhering to the
DRY principle.

%prep
%setup -q -n %{tarname}-%{version}
# remove bundled eggs
find . -name "*.egg" -exec rm -f '{}' \;

%patch0 -p1
%patch1 -p1

# empty files
for f in \
    django/contrib/staticfiles/models.py \
    django/contrib/webdesign/models.py \
    django/contrib/humanize/models.py \
; do
  echo "# just a comment" > $f
done


%build
%py2_build

(cd docs && mkdir djangohtml && mkdir -p _build/{doctrees,html} && make html)


%install
%py2_install

# install man pages
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1/
cp -p docs/man/* $RPM_BUILD_ROOT%{_mandir}/man1/

# install bash completion script
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/
install -m 0644 -p extras/django_bash_completion \
   $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/

# Fix items in %%{_bindir}
mv $RPM_BUILD_ROOT%{_bindir}/django-admin.py $RPM_BUILD_ROOT%{_bindir}/django-admin

# remove .po files
find $RPM_BUILD_ROOT -name "*.po" | xargs rm -f

# Renames to not conflict with the main python-django
mv $RPM_BUILD_ROOT/%{_bindir}/django-admin $RPM_BUILD_ROOT/%{_bindir}/django1.6-admin
mv $RPM_BUILD_ROOT%{_mandir}/man1/daily_cleanup.1 $RPM_BUILD_ROOT%{_mandir}/man1/django1.6-daily_cleanup.1
mv $RPM_BUILD_ROOT%{_mandir}/man1/gather_profile_stats.1 $RPM_BUILD_ROOT%{_mandir}/man1/django1.6-gather_profile_stats.1
mv $RPM_BUILD_ROOT%{_mandir}/man1/django-admin.1 $RPM_BUILD_ROOT%{_mandir}/man1/django1.6-admin.1
mv $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/django_bash_completion $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/django1.6_bash_completion


%files
%doc docs/_build/html/* AUTHORS LICENSE README.rst django/contrib/admin/static/admin/js/LICENSE-JQUERY.txt
%{_bindir}/django1.6-admin
%{_mandir}/man1/*
%dir %{_sysconfdir}/bash_completion.d/
%config(noreplace) %{_sysconfdir}/bash_completion.d/django1.6_bash_completion
%{python2_sitelib}/%{module}
%{python2_sitelib}/%{tarname}-%{version}-py?.?.egg-info



%changelog
* Mon Jan 14 2019 luigiwalser <luigiwalser> 1.6.11.6-1.1.mga6
+ Revision: 1356742
- add patch from ubuntu to fix CVE-2019-3498

* Wed Apr 05 2017 philippem <philippem> 1.6.11.6-1.mga6
+ Revision: 1095995
- new upstream fix CVE-2017-7233 and CVE-2017-7234, mga#20628

* Wed Nov 02 2016 philippem <philippem> 1.6.11.5-1.mga6
+ Revision: 1064733
- update to 1.6.11.5, fix CVE-2016-9013 and CVE-2016-9014  mga#19690, CVE-2016-7401, mga#19464

* Thu Mar 03 2016 philippem <philippem> 1.6.11.3-1.mga6
+ Revision: 984928
- update to 1.6.11.3, fix CVE-2016-2512 and CVE-2016-2513 mga#17860
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Tue Dec 08 2015 philippem <philippem> 1.6.11.2-2.mga6
+ Revision: 908932
- disable // Django

* Sat Dec 05 2015 philippem <philippem> 1.6.11.2-1.mga6
+ Revision: 908427
- imported package python-django16

